aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-audioread/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2014-10-14 16:56:24 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2014-10-14 16:56:24 +0200
commit30365865f14808973ec7e76fd028b35e4111d028 (patch)
treea19f29ce5abbdad334fb065390e994bdb6e965ae /testing/py-audioread/APKBUILD
parent52b7c6b408f5db358bc271c51dbd05ffb7e8e330 (diff)
downloadaports-30365865f14808973ec7e76fd028b35e4111d028.tar.gz
aports-30365865f14808973ec7e76fd028b35e4111d028.tar.bz2
aports-30365865f14808973ec7e76fd028b35e4111d028.tar.xz
testing/py-audioread: new aport
Diffstat (limited to 'testing/py-audioread/APKBUILD')
-rw-r--r--testing/py-audioread/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/py-audioread/APKBUILD b/testing/py-audioread/APKBUILD
new file mode 100644
index 0000000000..a673044f1e
--- /dev/null
+++ b/testing/py-audioread/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer:
+pkgname=py-audioread
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="Cross-library audio decoding for Python"
+url="https://github.com/sampsyo/audioread"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/a/audioread/audioread-$pkgver.tar.gz"
+
+_builddir="$srcdir"/audioread-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="b3836586618c09acf4b868bdc2cbcc66 audioread-1.0.3.tar.gz"
+sha256sums="4ae8de1997e47797879c6484296d466a6a750ad93c6cd0b26c05bf71c6aa1ba5 audioread-1.0.3.tar.gz"
+sha512sums="7868d8ac48c55bf70dce10be094681737edd07530a1ff29d2ab2ec4f5eb6d51d89145d2c5dc5e661d9ecdafdcb27032c767f4bd9a01236b8d23e7fb7634b4eda audioread-1.0.3.tar.gz"